MENHIR(1)

NAME
menhir - parser generator for OCaml

SYNOPSIS
menhir [options] files

DESCRIPTION
menhir is a LR(1) parser generator for the Objective Caml programming language. That is, Menhir compiles LR(1) grammar specifications down to Objective Caml code. It is mostly compatible with ocamlyacc(1).

OPTIONS

-h, --help
    Show summary of options.

-b, --base basename
    Specifies a base name for the output file(s).

--comment
    Include comments in the generated code.

--depend
    Invoke ocamldep and display dependencies.

--dump
    Describe the automaton in basename.automaton.

--error-recovery
    Attempt recovery by discarding tokens after errors.

--explain
    Explain conflicts in basename.conflicts.

--external-tokens module
    Import token type definition from module.

--graph
    Write grammar's dependency graph to basename.dot.

--infer
    Invoke ocamlc for ahead of time type inference.

--interpret
    Interpret the sentences provided on stdin.

--interpret-show-cst
    Show a concrete syntax tree upon acceptance.

-la, --log-automaton level
    Log information about the automaton.

-lc, --log-code level
    Log information about the generated code.

-lg, --log-grammar level
    Log information about the grammar.

--no-inline
    Ignore the %inline keyword.

--no-stdlib
    Do not load the standard library.

--ocamlc command
    Specifies how ocamlc should be invoked.

--ocamldep command
    Specifies how ocamldep should be invoked.

--only-preprocess
    Print a simplified grammar and exit.

--only-tokens
    Generate token type definition only, no code.

--raw-depend
    Invoke ocamldep and echo its raw output.

--stdlib directory
    Specify where the standard library lies.

--suggest-comp-flags
    Suggest compilation flags for ocaml{c,opt}.

--suggest-link-flags-byte
    Suggest link flags for ocamlc.

--suggest-link-flags-opt
    Suggest link flags for ocamlopt.

-t, --table
    Use the table-based back-end.

--timings
    Display internal timings.

--trace
    Include tracing instructions in the generated code.

--version
    Show version number and exit.

-v  Synonymous with --dump --explain.

SEE ALSO
ocaml(1).

AUTHOR
menhir was written by François Pottier and Yann Régis-Gianas.

This manual page was written by Samuel Mimram <smimram@debian.org>, for the Debian project (but may be used by others).